Iniciar pagamento PIX informando todos os dados necessários.






         Regras de preenchimento e validação do campo TransactionType:
        
         - TRANSFER: 'vlcpAmount', 'vldnAmount', 'withdrawalAgentMode' e 'withdrawalServiceProvider' não devem ser preenchido.
         - WITHDRAWAL: 'vlcpAmount' não deve ser preenchido, 'vldnAmount', 'withdrawalAgentMode' e 'withdrawalServiceProvider' devem ser preenchido.
         - CHANGE: 'vlcpAmount', 'vldnAmount', 'withdrawalAgentMode' e 'withdrawalServiceProvider' devem ser preenchido.
         
         
         
         Regras de preenchimento e validação do campo InitiationType:
        
         - MANUAL: 'transactionIdentification' deve ser nulo, 'creditParty.key' deve ser nulo.
         - DICT: 'transactionIdentification' deve ser nulo, 'creditParty.key' deve ser preenchido.
         - STATIC_QRCODE: 'transactionIdentification' deve ser preenchido com o identificador do QRCode contendo até 25 caracteres, 'creditParty.key' deve ser preenchido.
         - DYNAMIC_QRCODE: 'transactionIdentification' deve ser preenchido com o identificador do QRCode contendo de 26 até 35 caracteres, 'creditParty.key' deve ser preenchido.
         - PAYMENT_INITIATOR: 'taxIdPaymentInitiator' deve ser preenchido com um CNPJ (14 caracteres).
         - PAYMENT_INITIATOR: 'creditParty.key' deve ser preenchido caso exista uma consulta DICT pré pagamento.
         - PAYMENT_INITIATOR: 'transactionIdentification' deve ser preenchido de acordo com a regra de pagamento de STATIC_QRCODE.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Objeto PaymentFullRequest contendo todas as informações preenchidas.

PaymentFullRequest class

double
required

The transaction amount

double | null

The amount of the purchase

double | null

The cash value made available. (change)

string | null

The ISPB Identifier of the withdrawal service.

string | null

Field used to discriminate the withdrawal agent mode and to identify the withdrawal service provider.
Mode will be:

  • AGTEC: Withdrawal Agent who is a Commercial Establishment
  • AGTOT: Withdrawal Agent that is Another Type of Legal Entity whose main activity, or secondary, the provision of ancillary services to financial or related services
  • AGPSS: Pix Participant Who Provides Withdrawal Service Directly
string
required

The unique transaction identification given by the client side. This value can't be repeated.

string | null
  • InitiationType is MANUAL or DICT. This property cannot be inserted.
  • InitiationType is STATIC_QRCODE. This property is required and length must be up to 25 characters.
  • InitiationType is DYNAMIC_QRCODE. This property is required and length must be between 26 and 35 characters.
  • InitiationType is PAYMENT_INITIATOR. This property is required and needs to be from a STATIC_QRCODE.
string | null

End-to-end payment identifier associated with this request. The same used on DICT GET request.

debitParty
object

DebitParty class

creditParty
object

CreditParty class

string | null

Type of payment will be:

  • DICT: Payment to a key. (Mandatory fields: creditParty.key and endToEndId. Field transactionIdentification need be null)
  • STATIC_QRCODE: Payment to Static QRCode. (Mandatory fields: creditParty.key, endToEndId and transactionIdentification)
  • DYNAMIC_QRCODE: Payment to Dynamic QRCode. (Mandatory fields: creditParty.key, endToEndId and transactionIdentification)
  • MANUAL: Payment to transactional account information. (The fields: creditParty.key, endToEndId and transactionIdentification need be null)
  • PAYMENT_INITIATOR: Payment from companies that are not payment providers. (Mandatory fields: TaxIdPaymentInitiator need be filled with a CNPJ. The field transactionIdentification need be null. If was a DICT query previously, endToEndId and creditParty.key need be filled in. Without DICT query they need be null)
string | null

CNPJ of payment initiator. Used only if 'initiationType' field is equals 'PAYMENT_INITIATOR'.

string | null

Determines a text to be presented to the payer so that he can enter a correlated information, in free format, to be sent to the receiver. If present on Dynamic BRCode must be preserved and informed here.

string | null

Field paymentType will be:

  • IMMEDIATE: Used for normal payment transactions (Default value if null or empty);
  • FRAUD: Used for payment on suspicion of fraud;
  • SCHEDULED: Used only for scheduled payment transactions;
string | null

Field urgency will be:

  • HIGH: Used for normal payment transactions (Default value if null or empty);
  • NORMAL: Used only for scheduled payment transactions;
string | null

Field transactionType will be:

  • TRANSFER: Used for a normal payment transactions (Default value if null or empty);
  • CHANGE: Used for Pix Troco;
  • WITHDRAWAL: Used for Pix Saque;
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json